## healpy 1.7.4

=== debian/changelog ===
healpy (1.7.4-2) unstable; urgency=medium

  * Added cfitsio/zlib to debian/copyright. 

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 Apr 2014 12:37:47 -0700

healpy (1.7.4-1) unstable; urgency=low

  * New upstream version.
  * Correct watch file to skip upstream pre-releases.
  * Fine-tune debian/copyright.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 26 Feb 2014 16:53:45 -0800

healpy (1.7.3-2) unstable; urgency=low

  * Update standards version to 3.9.5.
  * Add build-depends on autotools-dev to update outdated files.
  * Add watch file. 

 -- Leo Singer <leo.singer@ligo.org>  Sun, 09 Feb 2014 11:13:06 -0800

healpy (1.7.3-1) UNRELEASED; urgency=low

  * Initial release (Closes: #737272).
  * source package automatically created by stdeb 0.6.0+git
  * silenced some warnings by adding a pydist-overrides file
  * add Numpy ABI dependency by running dh_numpy
  * depend on healpix-cxx >= 3.11
  * update to debhelper 9
  * depend on python-setuptools >= 0.6.14 for compatibility with Squeeze

 -- Leo Singer <leo.singer@ligo.org>  Mon, 27 Jan 2014 15:25:17 -0800
