=== debian/control ===
Source: healpy
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Homepage: http://healpy.readthedocs.org
Section: python
Build-Depends:
 python-setuptools (>= 0.6.14),
 python-all-dev (>= 2.6.6-3),
 debhelper (>= 9),
 libcfitsio3-dev,
 libhealpix-cxx-dev (>= 3.11),
 python-numpy,
 pkg-config,
 autotools-dev
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/healpix/healpy/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/healpix/healpy/trunk/
Standards-Version: 3.9.5

Package: python-healpy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy
Suggests: python-pyfits, python-matplotlib
Description: HEALPix representation of spherical data - Python interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python wrapper around the C++ implementation of
 HEALPix.
