=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 05 Apr 2013 12:56:56 -0700

%:
	dh $@ --with python2

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy
