## healpy 1.8.1

=== debian/changelog ===
healpy (1.8.1-1.1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:52:10 +0000

healpy (1.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install matplotlibrc file that sets the matplotlib backend to Agg for
    tests in the new pybuild location for running tests (Closes: #799694)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 12 Oct 2015 17:21:20 -0400

healpy (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependency on python-six. 
  * Enable unit tests.
  * Restrict to 64-bit architectures. The unit tests only pass on 32-bit
    architectures because they are limited by Numpy's index type.
    See upstream issue https://github.com/healpy/healpy/issues/194
  * Use canonical VCS server svn://anonscm.debian.org/. See
    http://lintian.debian.org/tags/vcs-field-not-canonical.html 

 -- Leo Singer <leo.singer@ligo.org>  Sun, 22 Jun 2014 11:28:11 -0700
