=== debian/control ===
--- 
+++ 
@@ -7,19 +7,31 @@
 Build-Depends:
  python-setuptools (>= 0.6.14),
  python-all-dev (>= 2.6.6-3),
+ python-matplotlib,
+ python-numpy,
+ python-pyfits,
+ python-pytest,
+ python-six,
+ python3-setuptools,
+ python3-all-dev,
+ python3-matplotlib,
+ python3-numpy,
+ python3-pyfits,
+ python3-pytest,
+ python3-six,
  debhelper (>= 9),
  libcfitsio3-dev,
  libhealpix-cxx-dev (>= 3.11),
- python-numpy,
  pkg-config,
  autotools-dev
 X-Python-Version: >= 2.6
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/healpix/healpy/trunk/
+X-Python3-Version: >= 3.2
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/healpix/healpy/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/healpix/healpy/trunk/
 Standards-Version: 3.9.5
 
 Package: python-healpy
-Architecture: any
+Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy
 Suggests: python-pyfits, python-matplotlib
 Description: HEALPix representation of spherical data - Python interface
@@ -31,3 +43,18 @@
  .
  This package provides a Python wrapper around the C++ implementation of
  HEALPix.
+
+Package: python3-healpy
+Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy
+Suggests: python3-pyfits, python3-matplotlib
+Description: HEALPix representation of spherical data - Python interface
+ HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
+ of a sphere. As suggested in the name, this pixelization produces a
+ subdivision of a spherical surface in which each pixel covers the same
+ surface area as every other pixel. It is commonly used to store all-sky
+ astronomical images, most famously maps of the cosmic microwave background.
+ .
+ This package provides a Python wrapper around the C++ implementation of
+ HEALPix.
+
