=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=healpy

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy
	dh_numpy3

matplotlibrc:
	echo backend: agg > $@

override_dh_auto_test: matplotlibrc
	cp matplotlibrc .pybuild/pythonX.Y_2.7/build/
	for pv in $(shell (py3versions -vr)); do \
		cp matplotlibrc .pybuild/pythonX.Y_$$pv/build/ ; \
	done
	dh_auto_test
