=== debian/watch ===
version=3
https://pypi.python.org/packages/source/h/healpy/healpy-([\d\.]*)\.tar\.gz
