## healpy 1.9.1

=== debian/changelog ===
healpy (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary pydist-overrides file.
  * Fix permissions on data files.
  * Move platform-independent data files into a new package,
    python-healpy-data.
  * Fix "FTBFS: ValueError: Header update sequence item #0 is invalid;
    the item must either be a 2-tuple containing a keyword and value, or
    a 3-tuple containing a keyword, value, and comment string." This was
    fixed by the new upstream release. (Closes: #813781)
  * Make sure that no Python bytecode is written when running unit
    tests (fixes a Lintian package-installs-python-pycache-dir warning)
  * Fix broken debian/watch file due to PyPI API changes.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 19 May 2016 19:13:07 -0400
