=== debian/control ===
Source: healpy
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Homepage: http://healpy.readthedocs.org
Section: python
Build-Depends:
 python-setuptools (>= 0.6.14),
 python-all-dev (>= 2.7),
 python-matplotlib,
 python-numpy,
 python-astropy,
 python-pytest,
 python-six,
 python3-setuptools,
 python3-all-dev,
 python3-matplotlib,
 python3-numpy,
 python3-astropy,
 python3-pytest,
 python3-six,
 debhelper (>= 9),
 libcfitsio3-dev,
 libhealpix-cxx-dev (>= 3.30.0),
 pkg-config,
 autotools-dev
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/healpix/healpy/trunk/
Vcs-Browser: https://svn.debian.org/viewsvn/debian-science/packages/healpix/healpy/trunk/
Standards-Version: 3.9.8

Package: python-healpy-data
Architecture: all
Depends: ${misc:Depends}
Description: HEALPix representation of spherical data - Python data
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides platform-independent data and test files for the Python
 wrapper around the C++ implementation of HEALPix.

Package: python-healpy
Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, python-healpy-data
Suggests: python-astropy, python-matplotlib
Description: HEALPix representation of spherical data - Python interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python wrapper around the C++ implementation of
 HEALPix.

Package: python3-healpy
Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, python-healpy-data
Suggests: python3-astropy, python3-matplotlib
Description: HEALPix representation of spherical data - Python3 interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python3 wrapper around the C++ implementation of
 HEALPix.
