=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=healpy

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy
	dh_numpy3

matplotlibrc:
	echo backend: agg > $@

override_dh_auto_test: matplotlibrc
	PYTHONDONTWRITEBYTECODE=yes dh_auto_test

# After installing, remove data directories that we will replace with symlinks
override_dh_install:
	dh_install
	rm -rf debian/python*-healpy/usr/lib/python*/dist-packages/healpy/data debian/python*-healpy/usr/lib/python*/dist-packages/healpy/test/data

# Fix permissions on data files
override_dh_fixperms:
	chmod -x \
		debian/python-healpy-data/usr/share/healpy/data/* \
		debian/python-healpy-data/usr/share/healpy/test/data/*
	dh_fixperms
