=== debian/watch ===
version=3
https://pypi.python.org/simple/healpy .*/.*/.*/.*/.*/.*/healpy-([\d\.]*)\.tar\.gz#.*
