## healpy 1.10.1

=== debian/changelog ===
healpy (1.10.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 29 Nov 2016 11:58:44 -0500

healpy (1.10.1-2) unstable; urgency=medium

  * Fix wrong e-mail in changelog.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 15 Nov 2016 12:09:02 -0500

healpy (1.10.1-1) unstable; urgency=medium

  * New upstream version.
  * Moved packaging to git.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 08 Nov 2016 19:12:16 -0500

healpy (1.9.1-4) unstable; urgency=medium

  * Remove matplotlibrc file in dh_clean phase.
  * Enable build hardening.
  * Add versioned dependency on libhealpix-cxx0.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 03 Sep 2016 19:39:30 -0400

healpy (1.9.1-3) unstable; urgency=medium

  * Change maintainer from Debian Science Team to Debian Astro Team.
  * Enable link-time optimization.
  * Depend on libcfitsio-dev instead of transitional libcfitsio3-dev package.
    (Closes: #761711)
  * Add continuous integration testing.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 29 May 2016 14:10:26 -0400

healpy (1.9.1-2) unstable; urgency=medium

  * Adjust dh_fixperms override so that it only affects architecture-
    independent packages. This should fix autobuilding of non-amd64
    architectures.
  * Add missing build dependency on dh-python.

 -- Leo Singer <leo.singer@ligo.org>  Mon, 23 May 2016 10:51:25 -0400
