=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: healpy
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Leo Singer <leo.singer@ligo.org>
 Homepage: http://healpy.readthedocs.org
 Section: python
@@ -20,14 +20,15 @@
  python3-pytest,
  python3-six,
  debhelper (>= 9),
- libcfitsio3-dev,
+ dh-python,
+ libcfitsio-dev,
  libhealpix-cxx-dev (>= 3.30.0),
  pkg-config,
  autotools-dev
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/healpix/healpy/trunk/
-Vcs-Browser: https://svn.debian.org/viewsvn/debian-science/packages/healpix/healpy/trunk/
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/healpy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/healpy.git
 Standards-Version: 3.9.8
 
 Package: python-healpy-data
@@ -45,7 +46,7 @@
 
 Package: python-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, python-healpy-data
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, python-healpy-data, libhealpix-cxx0 (>= 3.30.0)
 Suggests: python-astropy, python-matplotlib
 Description: HEALPix representation of spherical data - Python interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
@@ -59,7 +60,7 @@
 
 Package: python3-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, python-healpy-data
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, python-healpy-data, libhealpix-cxx0 (>= 3.30.0)
 Suggests: python3-astropy, python3-matplotlib
 Description: HEALPix representation of spherical data - Python3 interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
