## healpy 1.10.3

=== debian/changelog ===
healpy (1.10.3-3) unstable; urgency=medium

  * Update Standards-Version to 4.1.4.
  * Update to debhelper 11.
  * Rename python-healpy-data to healpy-data.
  * Fix lintian warning: insecure-copyright-format-uri.
  * Apply patch from upstream to fix doctest failures due to
    changes in Numpy string representation of arrays.
  * Move Debian package source to salsa.debian.org.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 20 May 2018 17:36:57 -0400

healpy (1.10.3-2) unstable; urgency=medium

  * No-change rebuild against latest g++ ABI (Closes: #793248)

 -- Leo Singer <leo.singer@ligo.org>  Mon, 23 Jan 2017 12:43:51 -0500

healpy (1.10.3-1) unstable; urgency=medium

  * Fix CI test failures due to typo in doctest.
  * New upstream release.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 29 Dec 2016 09:37:51 -0500

healpy (1.10.2-1) unstable; urgency=medium

  * Fix "FTBFS: Test failures" with new upstream version
    (Closes: #848775)
  * Add multi-arch properties.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 20 Dec 2016 15:33:03 -0500
