=== debian/control ===
--- 
+++ 
@@ -19,20 +19,29 @@
  python3-astropy,
  python3-pytest,
  python3-six,
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  libcfitsio-dev,
  libhealpix-cxx-dev (>= 3.30.0),
- pkg-config,
- autotools-dev
+ pkg-config
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/healpy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/healpy.git
-Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
+Standards-Version: 4.1.4
 
 Package: python-healpy-data
+Depends: healpy-data, ${misc:Depends}
 Architecture: all
+Section: oldlibs
+Description: transitional package
+ This is a dummy transitional package. It can safely be removed.
+
+Package: healpy-data
+Replaces: python-healpy-data (<< 1.10.3-3~)
+Breaks: python-healpy-data (<< 1.10.3-3~)
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: HEALPix representation of spherical data - Python data
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
@@ -46,7 +55,7 @@
 
 Package: python-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, python-healpy-data, libhealpix-cxx0 (>= 3.30.0)
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, healpy-data, libhealpix-cxx0 (>= 3.30.0)
 Suggests: python-astropy, python-matplotlib
 Description: HEALPix representation of spherical data - Python interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
@@ -60,7 +69,7 @@
 
 Package: python3-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, python-healpy-data, libhealpix-cxx0 (>= 3.30.0)
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, healpy-data, libhealpix-cxx0 (>= 3.30.0)
 Suggests: python3-astropy, python3-matplotlib
 Description: HEALPix representation of spherical data - Python3 interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
