=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,26 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=healpy
+
+# Enable build hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+# Link-time optimisation demands knowledge about all CFLAGS both at
+# compile time (as represented by CFLAGS and CXXFLAGS) but also at
+# at link time.
+#
+# Adapted from
+# http://anonscm.debian.org/cgit/pkg-boinc/boinc.git/tree/debian/rules
+ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
+ $(info I: Activating LinkTimeOptimisation)
+ export CFLAGS += -flto
+ export CXXFLAGS += -flto
+ export LDFLAGS := $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)
+ export AR := gcc-ar
+ export RANLIB := gcc-ranlib
+endif
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -22,8 +42,6 @@
 	rm -rf debian/python*-healpy/usr/lib/python*/dist-packages/healpy/data debian/python*-healpy/usr/lib/python*/dist-packages/healpy/test/data
 
 # Fix permissions on data files
-override_dh_fixperms:
-	chmod -x \
-		debian/python-healpy-data/usr/share/healpy/data/* \
-		debian/python-healpy-data/usr/share/healpy/test/data/*
+override_dh_fixperms-indep:
+	find debian/healpy-data/usr/share/healpy -type f | xargs chmod -x
 	dh_fixperms
