## healpy 1.11.0

=== debian/changelog ===
healpy (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches.
  * Add new build dependencies for unit tests:
    pytest-runner, pytest-cython.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 03 Jun 2018 22:58:54 -0400

healpy (1.10.3-5) unstable; urgency=medium

  * Fix precision of doctest for non-amd64 architectures.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 May 2018 02:54:22 -0400

healpy (1.10.3-4) unstable; urgency=medium

  * Fix lintian warning:
    global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Run doctests.
  * Add workaround in numpy.ma.masked_values in Numpy 1.14.0,
    which should be fixed in Numpy 1.15.0. See also
    <https://github.com/numpy/numpy/issues/11112>.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 May 2018 01:19:27 -0400
