=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
  python-numpy,
  python-astropy,
  python-pytest,
+ python-pytest-cython,
+ python-pytest-runner,
  python-six,
  python3-setuptools,
  python3-all-dev,
@@ -18,6 +20,8 @@
  python3-numpy,
  python3-astropy,
  python3-pytest,
+ python3-pytest-cython,
+ python3-pytest-runner,
  python3-six,
  debhelper (>= 11),
  dh-python,
@@ -80,4 +84,3 @@
  .
  This package provides a Python3 wrapper around the C++ implementation of
  HEALPix.
-
