=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=healpy
+export PYBUILD_TEST_ARGS=--doctest-modules
 
 # Enable build hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
