## healpy 1.12.3

=== debian/changelog ===
healpy (1.12.3-2) unstable; urgency=medium

  * Depend on astropy, matplotlib, and scipy.
    These modules all must be present in order to import healpy. 

 -- Leo Singer <leo.singer@ligo.org>  Thu, 16 Aug 2018 18:05:46 -0400

healpy (1.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches.
  * Skip unit tests that require downloading external data.
  * Skip unit test that fails due to missing package data
    (see https://github.com/healpy/healpy/pull/458)
  * Depend on lastest version of healpix-cxx for ABI compatibility.
  * Rebuild C++ files from Cython sources.
    This is required for Python 3.7 since the API changed a bit.
    (Closes: 905615)

 -- Leo Singer <leo.singer@ligo.org>  Thu, 16 Aug 2018 15:42:05 -0400
