=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Homepage: http://healpy.readthedocs.org
 Section: python
 Build-Depends:
+ cython,
+ cython3,
  python-setuptools (>= 0.6.14),
  python-all-dev (>= 2.7),
  python-matplotlib,
@@ -13,6 +15,7 @@
  python-pytest,
  python-pytest-cython,
  python-pytest-runner,
+ python-scipy,
  python-six,
  python3-setuptools,
  python3-all-dev,
@@ -22,11 +25,12 @@
  python3-pytest,
  python3-pytest-cython,
  python3-pytest-runner,
+ python3-scipy,
  python3-six,
  debhelper (>= 11),
  dh-python,
  libcfitsio-dev,
- libhealpix-cxx-dev (>= 3.30.0),
+ libhealpix-cxx-dev (>= 3.40.0),
  pkg-config
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
@@ -59,8 +63,10 @@
 
 Package: python-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, healpy-data, libhealpix-cxx0 (>= 3.30.0)
-Suggests: python-astropy, python-matplotlib
+Depends:
+ ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
+ python-astropy, python-matplotlib, python-numpy, python-scipy,
+ healpy-data, libhealpix-cxx1
 Description: HEALPix representation of spherical data - Python interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
  of a sphere. As suggested in the name, this pixelization produces a
@@ -73,8 +79,10 @@
 
 Package: python3-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, healpy-data, libhealpix-cxx0 (>= 3.30.0)
-Suggests: python3-astropy, python3-matplotlib
+Depends:
+ ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+ python3-astropy, python3-matplotlib, python3-numpy, python3-scipy,
+ healpy-data, libhealpix-cxx1
 Description: HEALPix representation of spherical data - Python3 interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
  of a sphere. As suggested in the name, this pixelization produces a
