## healpy 1.12.4

=== debian/changelog ===
healpy (1.12.4-4) unstable; urgency=medium

  * Remove workaround for change in Numpy formatting due to upstream
    fix of regression (https://github.com/numpy/numpy/pull/11986).
    (Closes: 913757)

 -- Leo Singer <leo.singer@ligo.org>  Fri, 07 Dec 2018 15:30:00 -0500

healpy (1.12.4-3) unstable; urgency=medium

  * Patch unit test to set random seed so that it is reproducible.
    (Closes: #907908)

 -- Leo Singer <leo.singer@ligo.org>  Tue, 04 Sep 2018 10:54:46 -0400

healpy (1.12.4-2) unstable; urgency=medium

  * Increase tolerance for failing test on arm64, ppc64el 

 -- Leo Singer <leo.singer@ligo.org>  Mon, 27 Aug 2018 13:55:48 -0400

healpy (1.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 26 Aug 2018 14:28:58 -0400
