=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-setuptools (>= 0.6.14),
  python-all-dev (>= 2.7),
  python-matplotlib,
- python-numpy,
+ python-numpy (>= 1.14.6),
  python-astropy,
  python-pytest,
  python-pytest-cython,
@@ -20,7 +20,7 @@
  python3-setuptools,
  python3-all-dev,
  python3-matplotlib,
- python3-numpy,
+ python3-numpy (>= 1.14.6),
  python3-astropy,
  python3-pytest,
  python3-pytest-cython,
