## healpy 1.12.8

=== debian/changelog ===
healpy (1.12.8-8) unstable; urgency=medium

  * Add patch to make unit tests at degenerate pixel intersections
    reproducible on i386.
  * Enable building for all architectures including i386.
  * Remove dummy transitional python-healpy-data package.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 24 Jan 2019 10:19:49 -0500

healpy (1.12.8-7) unstable; urgency=medium

  * Disable link time optimization because it breaks build
    reproducibility. Furthermore, gcc produces LTO debug info that
    crashes gdb (https://gcc.gnu.org/bugzilla/show_bug.cgi?id=87362).

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 Jan 2019 15:28:44 -0500

healpy (1.12.8-6) unstable; urgency=medium

  * Build for arm64.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 20 Jan 2019 10:23:44 -0500

healpy (1.12.8-5) unstable; urgency=medium

  * Update Standards-Version to 4.3.0.
  * Build for any architecture except for i386.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 19 Jan 2019 23:04:02 -0500

healpy (1.12.8-4) experimental; urgency=medium

  * Patch a doctest to workaround a Numpy string formatting bug that
    appears on armhf.
  * Patch to fix incorrect data types in pixel ufuncs on 32-bit
    platforms.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 19 Jan 2019 00:51:41 -0500

healpy (1.12.8-3) experimental; urgency=medium

  * Enable binary builds for any platform.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 21 Dec 2018 00:02:41 -0500

healpy (1.12.8-2) unstable; urgency=medium

  * Pick up libhealpix-cxx dependency automatically from shlibdeps.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 16 Dec 2018 05:36:43 -0500

healpy (1.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1.
  * Remove Python 2 package.
  * Rediff patches.
  * Remove a file that was generated by the unit tests and not meant
    to be installed (https://github.com/healpy/healpy/pull/519).

 -- Leo Singer <leo.singer@ligo.org>  Sun, 09 Dec 2018 01:47:35 -0500
