=== debian/control ===
Source: healpy
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Homepage: http://healpy.readthedocs.org
Section: python
Build-Depends:
 cython3,
 python3-setuptools,
 python3-all-dev,
 python3-matplotlib,
 python3-numpy (>= 1.14.6),
 python3-astropy,
 python3-pytest,
 python3-pytest-cython,
 python3-pytest-runner,
 python3-scipy,
 python3-six,
 debhelper (>= 11),
 dh-python,
 libcfitsio-dev,
 libhealpix-cxx-dev (>= 3.40.0),
 pkg-config
X-Python3-Version: >= 3.4
Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
Standards-Version: 4.3.0

Package: healpy-data
Provides: python-healpy-data
Replaces: python-healpy-data
Conflicts: python-healpy-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HEALPix representation of spherical data - Python data
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides platform-independent data and test files for the Python
 wrapper around the C++ implementation of HEALPix.


Package: python3-healpy
Architecture: any
Depends:
 ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-astropy, python3-matplotlib, python3-numpy, python3-scipy,
 healpy-data
Description: HEALPix representation of spherical data - Python3 interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python3 wrapper around the C++ implementation of
 HEALPix.
