=== debian/rules ===
--- 
+++ 
@@ -8,27 +8,11 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# Link-time optimisation demands knowledge about all CFLAGS both at
-# compile time (as represented by CFLAGS and CXXFLAGS) but also at
-# at link time.
-#
-# Adapted from
-# http://anonscm.debian.org/cgit/pkg-boinc/boinc.git/tree/debian/rules
-ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
- $(info I: Activating LinkTimeOptimisation)
- export CFLAGS += -flto
- export CXXFLAGS += -flto
- export LDFLAGS := $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)
- export AR := gcc-ar
- export RANLIB := gcc-ranlib
-endif
-
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_shlibdeps:
 	dh_shlibdeps
-	dh_numpy
 	dh_numpy3
 
 matplotlibrc:
