## healpy 1.13.0

=== debian/changelog ===
healpy (1.13.0-4) unstable; urgency=medium

  * Update debhelper compat to 13.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 18 Jul 2020 11:07:00 -0400

healpy (1.13.0-3) unstable; urgency=medium

  * Fix FTBS on i386 due to floating point precision issues.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 09 Jul 2020 18:25:32 -0400

healpy (1.13.0-2) unstable; urgency=medium

  * Add patch to fix const correctness issue that caused Healpy to
    FTBS (Closes: #964655).

 -- Leo Singer <leo.singer@ligo.org>  Thu, 09 Jul 2020 09:58:00 -0400

healpy (1.13.0-1) unstable; urgency=medium

  * New upstream release (LP: #1839344).
  * Update Standards-Version to 4.4.1.
  * Update to debhelper 12.
  * Add build dependency on libsharp-dev.
  * Update build dependency libhealpix-cxx to 3.60.0.
  * Remove obsolete X-Python3-Verson specification.
  * Fix deprecated $ADTTMP environment variable in CI tests.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 03 Jan 2020 11:34:34 -0500
