=== debian/control ===
--- 
+++ 
@@ -13,18 +13,19 @@
  python3-astropy,
  python3-pytest,
  python3-pytest-cython,
+ python3-pytest-doctestplus,
  python3-pytest-runner,
  python3-scipy,
  python3-six,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  libcfitsio-dev,
- libhealpix-cxx-dev (>= 3.40.0),
+ libsharp-dev,
+ libhealpix-cxx-dev (>= 3.60.0),
  pkg-config
-X-Python3-Version: >= 3.4
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 
 Package: healpy-data
 Provides: python-healpy-data
