## healpy 1.14.0

=== debian/changelog ===
healpy (1.14.0-1build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:27:30 +0100

healpy (1.14.0-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:12:24 +0100

healpy (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches and remove patches which have been incorporated
    upstream.
  * Update Standards-Version to 4.5.0.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 24 Jul 2020 15:51:57 -0400
