=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  pkg-config
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 
 Package: healpy-data
 Provides: python-healpy-data
