## healpy 1.15.0

=== debian/changelog ===
healpy (1.15.0-2build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 19:21:09 +0000

healpy (1.15.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 18:02:08 +0000

healpy (1.15.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-numpy.

  [ Leo Singer ]
  * Depend on libhealpix-cxx-dev >= 3.80.0-4.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 28 Oct 2021 20:03:37 -0400

healpy (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch format version.
  * Set Rules-Requires-Root to no.
  * Rediff patches.
  * Depend on libhealpix-cxx-dev >= 3.80.0.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 19 Aug 2021 11:26:39 -0400
