=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-setuptools,
  python3-all-dev,
  python3-matplotlib,
- python3-numpy (>= 1.14.6),
+ python3-numpy,
  python3-astropy,
  python3-pytest,
  python3-pytest-cython,
@@ -21,8 +21,9 @@
  dh-python,
  libcfitsio-dev,
  libsharp-dev,
- libhealpix-cxx-dev (>= 3.60.0),
+ libhealpix-cxx-dev (>= 3.80.0-4),
  pkg-config
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
 Standards-Version: 4.5.0
